Flecs: EcsWorldMemory Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
EcsWorldMemory Struct Reference
C API » Addons » Stats

Component with memory statistics. More...

`#include <stats.h>`

## Public Attributes
ecs_entities_memory_t | entities
| Entity memory.
ecs_component_memory_t | components
| Component memory.
ecs_component_index_memory_t | component_index
| Component index memory.
ecs_query_memory_t | queries
| Query memory.
ecs_table_memory_t | tables
| Table memory.
ecs_table_histogram_t | table_histogram
| Table size histogram.
ecs_misc_memory_t | misc
| Miscellaneous memory.
ecs_allocator_memory_t | allocators
| Allocator memory.
double | collection_time
| Time spent collecting statistics.

## Detailed Description

Component with memory statistics.

Definition at line 612 of file stats.h.

## Member Data Documentation

## ◆ allocators

ecs_allocator_memory_t EcsWorldMemory::allocators

Allocator memory.

Definition at line 620 of file stats.h.

## ◆ collection_time

double EcsWorldMemory::collection_time

Time spent collecting statistics.

Definition at line 621 of file stats.h.

## ◆ component_index

ecs_component_index_memory_t EcsWorldMemory::component_index

Component index memory.

Definition at line 615 of file stats.h.

## ◆ components

ecs_component_memory_t EcsWorldMemory::components

Component memory.

Definition at line 614 of file stats.h.

## ◆ entities

ecs_entities_memory_t EcsWorldMemory::entities

Entity memory.

Definition at line 613 of file stats.h.

## ◆ misc

ecs_misc_memory_t EcsWorldMemory::misc

Miscellaneous memory.

Definition at line 619 of file stats.h.

## ◆ queries

ecs_query_memory_t EcsWorldMemory::queries

Query memory.

Definition at line 616 of file stats.h.

## ◆ table_histogram

ecs_table_histogram_t EcsWorldMemory::table_histogram

Table size histogram.

Definition at line 618 of file stats.h.

## ◆ tables

ecs_table_memory_t EcsWorldMemory::tables

Table memory.

Definition at line 617 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h